Subject: Re: [PATCH 6/6] sysctl: pass kernel pointers to ->proc_handler

From: Greg Kroah-Hartman <[email-masked]>
Date: Fri, 17 Apr 2020 09:45:58 +0200

On Fri, Apr 17, 2020 at 08:41:46AM +0200, Christoph Hellwig wrote:
> Instead of having all the sysctl handlers deal with user pointers, which
> is rather hairy in terms of the BPF interaction, copy the input to and
> from  userspace in common code.  This also means that the strings are
> always NUL-terminated by the common code, making the API a little bit
> safer.
> 
> As most handler just pass through the data to one of the common handlers
> a lot of the changes are mechnical.
> 
> Signed-off-by: Christoph Hellwig <[email-masked]>

Ah, nice!

Reviewed-by: Greg Kroah-Hartman <[email-masked]>